Skip to main content

Retrieve Number Verify

After having requested a number verification with the previous API call, you can then use this call to retrieve the transaction and check the status and match.

Request​

Request
GET https://api.cm.com/mobile-identity/v1/number-verify/{transactionId}

URL Parameter​

PropertyTypeDescription
transactionIdstringThe unique identifier for the number verify transaction, returned in the response after request a number verify.
Request headers
Content-Type: application/json
Authorization: Bearer GENERATED_TOKEN_HERE
Response body
{
"id": "6f8d0a9d-b85c-4c3f-9e69-5699f1e00f49",
"state": "completed",
"match": true
}

Parameters​

PropertyDescription
idUnique identifier of the number verify transaction. In GUID format. Use this to retrieve this number verify transaction in the future.
stateStatus of the number verify transaction. Can be pending, completed, or unavailable.
matchtrue or false, depending on whether the number is verified. The value will be null while state is pending or unavailable.